\name{plot.logistic}
\alias{plot.logistic}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Simple logistic plotting
}
\description{
Makes nice  plots for one or two explanitory variable logistic regressions
}
\usage{
plot.logistic(log.obj, xlab = NULL, ylab = NULL, zlab = NULL, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{log.obj}{
glm logistic object}
  \item{xlab}{
label for x axis (defaults to variable name)}
  \item{ylab}{
label for y axis (defaults to variable name)}
  \item{zlab}{
label for z axis (with two explanitory variables; defaults to variable name)}
  \item{\dots}{
other plot arguments}
}

\details{
For one-variable plotting, the predictor should be continuous. Accepts one categorical predictor for two-variable plotting, but not both. Use barplots when predictor variables are only categorical.
}

\author{
Kevin A Smith
}

\examples{
\dontrun{
# Using the 'Cowles' data from the 'car' package, does extraversion and neuroticism impact voting?
require('car')

# Just extraversion
one.log = glm(volunteer ~ extraversion, family=binomial, data=Cowles)
plot.logistic(one.log)

# Both with interaction
two.log = glm(volunteer ~ extraversion * neuroticism, family=binomial, data=Cowles)
plot.logistic(two.log)}
}
