\name{puzzles}
\alias{puzzles}
\title{
Sample puzzle solving dataset
}
\description{
Hypothetical data from a fake experiment, described as:

You want to test how certain manipulations affect peoples' creativity, so you give 20 subjects eight puzzles each. The puzzles could differ in the type (visual vs. word), the difficulty (hard vs. easy), and the emotional state of the subject at the time (making them happy by giving them candy, or say by taking it away). The time to complete each puzzle was measured.
}
\usage{
puzzles
}
%- maybe also 'usage' for other objects documented here.
\value{
  \item{SubjID}{a unique identifier for each subject.}
  \item{PuzzleType}{whether the puzzle was a 'Word' puzzle or 'Visual' puzzle.}
  \item{Emotion}{whether the subject was happy or sad when the puzzle was given.}
  \item{Difficulty}{whether the puzzle was hard or easy.}
  \item{Time}{the time (in seconds) taken to complete the puzzle.}
}

\author{
Kevin A Smith
}

\examples{
summary(aov(Time ~ PuzzleType*Emotion*Difficulty+Error(SubjID),data=puzzles))
}