\name{resample.data}
\alias{resample.data.data.frame}
\alias{resample.data.default}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Resamples data with replacement for bootstrapping
}
\description{
Resamples data (with replacement) while respecting existing structure. Generally used for bootstrapping.
}
\usage{
resample.data(data)

\method{resample.data}{default}(data)
\method{resample.data}{data.frame}(data, const.categories = NULL, shuf.categories = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{data}{a vector, list, or data frame of the observed data.}
  \item{const.categories}{a character vector of the names of the columns to keep constant. Defaults to all factor or character types in the data frame.}
  \item{shuf.categories}{a character vector of the names of the columns to resample. Defaults to all numeric or integer types in the data frame.}
}

\value{
If data is a vector or list, a vector or list of the same size as the original, but shuffled.

If data is a data frame, a resampled data frame with all of the const.categories and shuf.categories columns. Note that individual data points are resampled together to respect the correlation structure between any numeric items in the data.
}

\author{
Kevin A Smith}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
\code{\link{bootstrap.CI}}
}
\examples{
resample.data(warpbreaks)
}
