\name{twoway.aggregate}
\alias{twoway.aggregate}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Tabular Summary Statistics of Data Subsets
}
\description{
Splits the data into subsets based on two factors, computes summary statistics for each, and returns the result in a convenient matrix form
}
\usage{
twoway.aggregate(response, factor1, factor2, func = mean)
}
\arguments{
  \item{response}{a vector of values to compute summary statistics on.}
  \item{factor1}{the first grouping factor (will be coerced if not already a factor).}
  \item{factor2}{the second grouping factor (will be coerced if not already a factor).}
  \item{func}{a function to compute the summary statistics which can be applied to all data subsets.}
}
\value{Returns a 2-D m\code{x}n matrix, where m is the number of levels in factor1, and n is the number of levels in factor2}

\author{
Kevin A Smith
}

\seealso{
\code{\link{aggregate} \link{xtabs}}
}
\examples{
# Get the means of each of the factors in 'warpbreaks'
with(warpbreaks,twoway.aggregate(breaks,wool,tension))

# And the standard deviations
with(warpbreaks,twoway.aggregate(breaks,wool,tension,sd))
}
