\name{z.test}
\alias{z.test}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
z-Test
}
\description{
Performs one and two sample z-tests on vectors of data where the population standard deviation is known.
}
\usage{
z.test(x, y = NULL, sigma = NULL, alternative = "two.sided", mu = 0, conf.level = 0.95)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{a (non-empty) numeric vector of data values.}
  \item{y}{an optional (non-empty) numeric vector of data values.}
  \item{sigma}{the known standard deviation of the population for the x and y values.}
  \item{alternative}{a character string specifying the alternative hypothesis, must be one of \dQuote{two.sided} (default), \dQuote{greater} or \dQuote{less}. You can specify just the initial letter.}
  \item{mu}{a number indicating the true value of the mean (or difference in means if you are performing a two sample test).}
  \item{conf.level}{confidence level of the interval.}
}
\value{
A list with class \dQuote{htest} containing the following components:
\item{statistic}{the value of the z-statistic.}
\item{parameter}{set to NA as z-tests do not have degrees of freedom.}
\item{p.value}{the p-value for the test.}
\item{confront}{a confidence interval for the mean appropriate to the specified alternative hypothesis.}
\item{estimate}{the estimated mean or difference in means depending on whether it was a one-sample test or a two-sample test.}
\item{null.value}{the specified hypothesized value of the mean or mean difference depending on whether it was a one-sample test or a two-sample test.}
\item{alternative}{a character string describing the alternative hypothesis.}
\item{method}{a character string indicating what type of z-test was performed.}
\item{data.name}{a character string giving the name(s) of the data.}
}
\author{
Kevin A Smith
}

\seealso{
\code{\link{t.test}}
}
\examples{
z.test(1:10,sigma = 3) # p = 0.06675
z.test(1:10,12:22,sigma = 3) # p = 0.0001264
}
